%define name helix-dbus-server
%define version 0.2.3
%define release %mkrel 2
%define helixver %(rpm -q helixplayer --queryformat %%{VERSION})

Summary: D-BUS wrapper around Helixplayer
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://banshee-project.org/files/%name/%{name}-%{version}.tar.bz2
#gw use the aoss script instead of preloading the aoss library
Patch: helix-dbus-server-0.2.2-aoss.patch
License: BSD
Group: System/Libraries
Url: http://banshee-project.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: helixplayer = %helixver
Requires: aoss
BuildRequires: helixplayer
BuildRequires: mono-devel
BuildRequires: dbus-sharp
BuildRequires: dbus-glib-devel
BuildRequires: X11-devel
BuildRequires: gtk-sharp2

%description
helix-dbus-player is made up of two main components:

hxplayer and hxmessage: a simple C/GLib wrapper on top of Helix's
hxclientkit API that consolidates hxclientkit events into a single
message API and offers full playback functionality. It also handles
threading and engine pumping

helix-dbus-server exposes hxplayer and hxmessage over DBus, allowing
full control of the Helix player and the propagation of hxmessages over
the 'Message' signal

Additionally, a C#/Mono client implementation is provided: Helix.RemotePlayer

%prep
%setup -q
%patch -p1

%build
%configure2_5x --with-helix-libs=%_libdir/helixplayer-%helixver
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README NEWS ChangeLog AUTHORS
%_bindir/%name
%_bindir/%name.bin
%_libdir/pkgconfig/*.pc
%_datadir/dbus-1/services/*.service



%changelog
* Tue Aug 22 2006 Götz Waschk <waschk@mandriva.org>
+ 2006-08-22 14:16:43 (57525)
- rebuild for new helixplayer

* Tue Aug 08 2006 Götz Waschk <waschk@mandriva.org>
+ 2006-08-08 08:13:14 (54418)
- new version

* Mon Aug 07 2006 Götz Waschk <waschk@mandriva.org>
+ 2006-08-07 17:48:13 (54251)
- fix buildrequires

* Thu Aug 03 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-08-03 03:46:12 (43111)
- import helix-dbus-server-0.2.2-3mdv2007.0

* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 0.2.2-3mdv2007.0
- Rebuild with latest dbus

* Wed May 03 2006 Gtz Waschk <waschk@mandriva.org> 0.2.2-2mdk
- rebuild for new helixplayer

* Tue May 02 2006 Gtz Waschk <waschk@mandriva.org> 0.2.2-1mdk
- fix aoss usage
- update file list
- New release 0.2.2

* Tue Mar 14 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.2-4mdk
- Add BuildRequires

* Tue Mar 14 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.2-3mdk
- Add BuildRequires

* Mon Mar 13 2006 Gtz Waschk <waschk@mandriva.org> 0.2-2mdk
- depend on HelixPlayer

* Mon Mar 13 2006 Gtz Waschk <waschk@mandriva.org> 0.2-1mdk
- initial package

